<script>
import config from '../../../config'
import {order_statuses} from '../../../Helper/helper'

export default{
    props: ['order'],
    data(){
        return {
            config: config,
            statuses: order_statuses
        }
    },
};
</script>

<template>
    <div class="col-md-12 mt-3">
        <div class="row">
            <div class="col-md-6">
                <div data-simplebar="init" class="mt-2">
                <div class="simplebar-wrapper" style="margin: 0px;">
                    <div class="simplebar-height-auto-observer-wrapper">
                        <div class="simplebar-height-auto-observer"></div>
                    </div>
                    <div class="simplebar-mask">
                        <div class="simplebar-offset" style="right: -15px; bottom: 0px;">
                            <div class="simplebar-content-wrapper" style="height: auto;">
                                <div class="simplebar-content" style="padding: 0px;">
                                    <ul class="verti-timeline list-unstyled">
                                        <li class="event-list" :class="{ 'active' : [statuses.placed].includes(order && order.order_status)}" v-if="(order && order.delivery_pickup_types == 'Delivery') || (order && order.delivery_pickup_types == 'Pickup')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.placed].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Order Placed') }} <span v-if="order && order.future_delivery_date != '0000-00-00 00:00:00'">({{ trans.get('__JSON__.Scheduled Order') }})</span></h5>
                                                    <p>{{ order && order.created_date }}</p>
                                                    <h5 class="font-size-12" v-if="order && order.future_delivery_date != '0000-00-00 00:00:00'">{{ trans.get('__JSON__.Scheduled Time') }} : {{ order && order.future_delivery_date }}</h5>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" :class="{ 'active' : [statuses.inkitchen].includes(order && order.order_status)}" v-if="order && order.confirm_at != '0000-00-00 00:00:00' || order && order.order_status != 'Cancelled' && (order && order.order_status == 'InKitchen')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.inkitchen].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Order Confirmed') }}</h5>
                                                    <p>{{ order && order.confirm_at }}</p>
                                                    <p v-if="(order && order.driver_count < 0) && (order && order.delivery_pickup_types == 'Delivery' && order.is_dunzo_driver === '0')">{{ trans.get('__JSON__.Searching for driver') }}.....</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'true') && (order && order.delivery_pickup_types == 'Delivery' && order.is_dunzo_driver === '0')">Request sent to {{ order && order.driver_count || order && order.driver_not_accept }} driver</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'true') && (order.driver.length > 0) && (order && order.delivery_pickup_types == 'Delivery'  && order.is_dunzo_driver === '0')">{{ order.driver.length > 0 ? order && order.driver[0].firstname + ' ' + order.driver[0].lastname:'-' }} Accept Order</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'true') && (order && order.driver_cancel_count)">{{ order && order.driver_cancel_count }} request cancel by driver</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'true') && (order && order.reach_to_store)">{{ trans.get('__JSON__.Driver reach to store.') }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="order && order.readytoserve_date != '0000-00-00 00:00:00' || order && order.order_status != 'Cancelled' && (order && order.order_status == 'ReadyToServe')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.readytoserve].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Ready To Serve') }}</h5>
                                                    <p>{{ order && order.readytoserve_at }}</p>
                                                    <p v-if="(order && order.driver_count < 0) && (order && order.delivery_pickup_types == 'Delivery' && order.is_dunzo_driver === '0')">{{ trans.get('__JSON__.Searching for driver') }}.....</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'false') && (order && order.delivery_pickup_types == 'Delivery' && order.is_dunzo_driver === '0')">Request sent to {{ order && order.driver_count || order && order.driver_not_accept }} driver</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'false') && (order.driver.length > 0) && (order && order.delivery_pickup_types == 'Delivery')">{{ order.driver.length > 0 ? order && order.driver[0].firstname + ' ' + order.driver[0].lastname:'-' }} Accept Order</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'false') && (order && order.driver_cancel_count  && order.is_dunzo_driver === '0')">{{ order && order.driver_cancel_count }} request cancel by driver</p>
                                                    <p v-if="($auth.setting && $auth.setting.is_driver_allocation == 'false') && (order && order.reach_to_store)">{{ trans.get('__JSON__.Driver reach to store.') }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="(order && order.order_status != 'Cancelled') && (order && order.ontheway_at != '0000-00-00 00:00:00') && (order && order.delivery_pickup_types == 'Delivery') && (order && (order.order_status == 'OnTheWay' || order.order_status == 'Arrived' || order.order_status == 'Delivered'))">
                                            <div class="event-timeline-dot">
                                                <i class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Item Collected') }}</h5>
                                                    <p>{{ order && order.ontheway_at }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="(order && order.ontheway_at != '0000-00-00 00:00:00') || (order && order.order_status != 'Cancelled') && (order && order.delivery_pickup_types == 'Delivery') && (order && order.order_status == 'OnTheWay')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.ontheway].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.On the way') }}</h5>
                                                    <p>{{ order && order.ontheway_at }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="(order && order.arrived_at != '0000-00-00 00:00:00') || (order && order.order_status != 'Cancelled') && (order && order.delivery_pickup_types == 'Delivery') && (order && order.order_status == 'Arrived')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.arrived].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Arrived') }}</h5>
                                                    <p>{{ order && order.arrived_at  }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="order && order.delivered_at != '0000-00-00 00:00:00' || order && order.order_status != 'Cancelled' && (order && order.order_status == 'Delivered')">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.delivered].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Delivered') }}</h5>
                                                    <p>{{ order && order.delivered_at }}</p>
                                                </div>
                                            </div>
                                        </li>
                                        <li class="event-list vert-timeline" v-if="order && order.order_status == 'Cancelled'">
                                            <div class="event-timeline-dot">
                                                <i :class="{ 'bx bxs-right-arrow-circle font-size-18 bx-fade-right' : [statuses.readytoserve,statuses.ontheway,statuses.arrived,statuses.delivered,statuses.cancelled].includes(order && order.order_status)}" class="bx bx-right-arrow-circle font-size-18"></i>
                                            </div>
                                            <div class="d-flex">
                                                <div class="flex-shrink-0 me-3">
                                                    <h5 class="font-size-14">{{ trans.get('__JSON__.Order Cancelled') }}</h5>
                                                    <p>{{ order && order.cancelled_date }}</p>
                                                    <p class="text-danger">{{ order && order.cancelled_desc }}</p>
                                                </div>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="simplebar-placeholder" style="width: auto; height: 414px;"></div>
                </div>
                <div class="simplebar-track simplebar-horizontal" style="visibility: hidden;">
                    <div class="simplebar-scrollbar" style="transform: translate3d(0px, 0px, 0px); display: none;"></div>
                </div>
                <div class="simplebar-track simplebar-vertical" style="visibility: visible;">
                    <div class="simplebar-scrollbar" style="height: 189px; transform: translate3d(0px, 0px, 0px); display: block;"></div>
                </div>
                </div>
            </div>
        <div class="col-md-6" v-if="order && order.order_status == 'Delivered'">
            <h5 class="font-size-14 mb-1" v-if="(order && order.turnaround_time != '0000-00-00 00:00:00') && (order && order.turnaround_time != '') && (order && order.turnaround_time != null)">{{ trans.get('__JSON__.Turn-Around time') }}</h5>
            <p class="mb-3">{{ order && order.turnaround_time }}</p>
            <h5 class="font-size-14 mb-1" v-if="(order && order.confirm_at != '0000-00-00 00:00:00') && (order && order.confirm_date != '') && (order && order.confirm_date != null) && (order && order.order_status != 'Placed')">{{ trans.get('__JSON__.Vendor Accept time') }}</h5>
            <p class="mb-3">{{ order && order.vendor_accept_time }}</p>
            <h5 class="font-size-14 mb-1" v-if="(order && order.delivered_time != '0000-00-00 00:00:00') && (order && order.delivered_time != '') && (order && order.delivered_time != null)">{{ trans.get('__JSON__.Delivered time') }}</h5>
            <p>{{ order && order.delivered_time }}</p>
        </div>
     </div>
    </div>  
</template>




<style>
.vert-timeline .event-timeline-dot .bx-fade-right{
    color: #556ee6;
}
.verti-timeline .event-list {
    padding: 0px 0px 15px 30px;
}
p{
    margin-bottom:0.5em !important;
}
</style>